CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
Qualifier Class Reference

## Public Member Functions
| __construct ($QualifierId=NULL)
| Load the qualifier with the given ID or create a new qualifier if no ID is given. More...
| Status ()
| Get the status of this qualifier. More...
| Delete ()
| Delete the qualifier if in a valid state. More...
| Id ()
| Get the qualifier ID. More...
| Name ($NewValue=DB_NOVALUE)
| Get or set the qualifier name. More...
| NSpace ($NewValue=DB_NOVALUE)
| Get or set the qualifier namespace. More...
| Url ($NewValue=DB_NOVALUE)
| Get or set the qualifier URL. More...

## Public Attributes
const | STATUS_OK = 0
| Status code used for an okay, valid qualifier. More...
const | STATUS_DOES_NOT_EXIST = 1
| Status code used for a non-existent qualifier. More...

## Protected Member Functions
| UpdateValue ($FieldName, $NewValue)
| Convenience method to supply parameters to Database::UpdateValue(). More...

## Protected Attributes
| $Id
| The ID of the qualifier. More...
| $Status
| The status code of the qualifier. More...
| $DB
| The database object. More...
| $DBFields
| Cached qualifier data from the database. More...

## Detailed Description

Definition at line 10 of file Qualifier.php.

## Constructor & Destructor Documentation

Qualifier::__construct | ( |  | $QualifierId = `NULL` | ) |

Load the qualifier with the given ID or create a new qualifier if no ID is given.

Parameters

  int | $QualifierId | Qualifier ID.

Definition at line 30 of file Qualifier.php.

References Id(), and Status().

## Member Function Documentation

Qualifier::Delete | ( |  | ) |

Delete the qualifier if in a valid state.

Returns
  void

Definition at line 98 of file Qualifier.php.

References Id(), and Status().

Qualifier::Id | ( |  | ) |

Get the qualifier ID.

Returns
  int qualifier ID

Definition at line 119 of file Qualifier.php.

References $Id.

Referenced by __construct(), Delete(), and UpdateValue().

Here is the caller graph for this function:

Qualifier::Name | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the qualifier name.

Parameters

  string | $NewValue | Optional new qualifier name.

Returns
  string The current qualifier name.

Definition at line 129 of file Qualifier.php.

References UpdateValue().

Qualifier::NSpace | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the qualifier namespace.

Parameters

  string | $NewValue | Optional new qualfier namespace.

Returns
  string The current qualifier namespace.

Definition at line 139 of file Qualifier.php.

References UpdateValue().

Qualifier::Status | ( |  | ) |

Get the status of this qualifier.

Returns
  int status code

Definition at line 89 of file Qualifier.php.

References $Status.

Referenced by __construct(), and Delete().

Here is the caller graph for this function:

Qualifier::UpdateValue | ( |  | $FieldName,
|  |  | $NewValue
| ) |  |
| protected

Convenience method to supply parameters to Database::UpdateValue().

Parameters

  string | $FieldName | Database field name.
  mixed | $NewValue | New value for the field or DB_NOVALUE.

Returns
  mixed The current value for the field name.

Definition at line 186 of file Qualifier.php.

References Id().

Referenced by Name(), NSpace(), and Url().

Here is the caller graph for this function:

Qualifier::Url | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the qualifier URL.

Parameters

  string | $NewValue | Optional new qualifier URL.

Returns
  string The current qualifier URL.

Definition at line 149 of file Qualifier.php.

References UpdateValue().

## Member Data Documentation

Database Qualifier::$DB
| protected

The database object.

Definition at line 172 of file Qualifier.php.

array Qualifier::$DBFields
| protected

Cached qualifier data from the database.

Definition at line 178 of file Qualifier.php.

int Qualifier::$Id
| protected

The ID of the qualifier.

Definition at line 160 of file Qualifier.php.

Referenced by Id().

int Qualifier::$Status
| protected

The status code of the qualifier.

Definition at line 166 of file Qualifier.php.

Referenced by Status().

const Qualifier::STATUS_DOES_NOT_EXIST = 1

Status code used for a non-existent qualifier.

Definition at line 23 of file Qualifier.php.

const Qualifier::STATUS_OK = 0

Status code used for an okay, valid qualifier.

Definition at line 18 of file Qualifier.php.

The documentation for this class was generated from the following file:

- objects/Qualifier.php